/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Dienst Verkeerskunde
 *                     WSRA
 * File:               CRAPCOD.C
 *
 * Nummer kruispunt:        1
 * Regelprogramma vri:      voorbeeldregeling AFTREKKEN TIJDEN
 *
 * datum:                   27 januari 1994 
 * gewijzigd:               10 maart 2003 EPARM voor af te trekken tijd ipv TIJD
 * gewijzigd:               18 juni 2004 aanpassing aan RWS C-versie 7.14
 * versie:                  4.1
 */


#include "crtypes.h"
#include "crapcod.h"
#include "craptab.h"
#include "ccie_int.h"
#include "crapdef.h"
#include "kiezen_m.inc" /* kiezen maximumgroentijden, wsra-standaard 1, versie 4 */
#include "aftr_td.inc"  /* aftrekken tijden,          wsra-standaard 2, versie 4 */


void init_bij_inschakelen(void)
{
    aftrekken_TIJDEN(EP_PPA_02, T_PPA_02, SG02);
}


void voorwaarden_per_seconde(void)
{
    if (D(SG99_1)) { kies_MG_TIJD6();
                     maak_TL(TL_MG_SET,6); } /* vrij te kiezen MG_set */
    else kiezen_MG_TIJDEN(K_OCHTEND, K_AVOND,
                          K_KOOPAVOND_E1, EG_KOOPAVONDDAG_E1, 
                          K_EXTRA_2, EG_DAG_EXTRA_2, TL_MG_SET);
}


void overige_voorwaarden(void)
{
    aftrekken_TIJDEN(EP_PPA_02, T_PPA_02, SG02);
}
