/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Dienst Verkeerskunde
 *                     WSRA
 * File:               CRAPDEF.H
 *
 * Nummer kruispunt:        1
 * Regelprogramma vri:      voorbeeldregeling aftrekken tijden
 *
 * datum:                   27 januari 1994
 * gewijzigd:               10 maart 2003 EPARM voor af te trekken tijd ipv TIJD
 * gewijzigd:               18 juni 2004 aanpassing aan RWS C-versie 7.14
 * versie:                  4.1
 */

/* declaratie arraynummers voor blokken */
#define BK1                   0
#define BK2                   1

#define NUMBK                 2

/* declaratie arraynummers voor signaalgroepen */
#define SG01                  0
#define SG02                  1
#define SG05                  2

#define NUMSG                 3

/* declaratie arraynummers voor detectoren */
#define SG01_1                0 /* DP */
#define SG02_1                1 /* DP */
#define SG05_1                2 /* DP */

#define SG99_1                3 /* om als schakelaar te fungeren in Flash */

#define NUMD                  4

/* declaratie arraynummers voor klokken */
#define K_AVOND               0
#define K_OCHTEND             1
#define K_KOOPAVOND_E1        2
#define K_EXTRA_2             3

#define NUMKL                 4

/* declaratie arraynummers voor tijden */
#define T_PPA_02              0

#define NUMT                  1

/* declaratie arraynummers voor hulpfuncties */
#define NUMHF                 0

/* declaratie arraynummers voor schakelaars */
#define NUMSCH                0

/* declaratie arraynummers voor tellers */
#define TL_MG_SET             0

#define NUMTL                 1

/* declaratie arraynummers voor extra geheel getal parameters */
#define EG_KOOPAVONDDAG_E1    0 
#define EG_DAG_EXTRA_2        1

#define NUMEGGP               2

/* declaratie arraynummers voor extra parameters */
#define EP_PPA_02             0 

#define NUMEP                 1

#define NUMOV                 4
